View Issue Details

IDProjectCategoryView StatusLast Update
0000039WackoWikiadministrationpublic2012-03-11 16:58
ReporterTann San Assigned Toadministrator  
PrioritynormalSeverityfeatureReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version4.2 
Target Version5.0.0Fixed in Version5.0.0 
Summary0000039: Manage user accounts online
DescriptionAt the moment you cannot delete a user without going into SQL and manually removing all trace of them from there. It would be good to have a page you can go to and modify a users details as well as delete them. Each user can modify their own details at the moment but an admin cannot modify a users details without knowing their login information.
TagsNo tags attached.

Relationships

related to 0000117 resolvedadministrator GUI interface to define user groups 
child of 0000230 resolvedadministrator Administrative Interface 

Activities

administrator

2007-08-31 01:16

administrator   ~0000051

this was planned for R5.0

-> additional and more convenient mechanisms of the administration

Tann San

2007-08-31 09:26

manager   ~0000052

The actual deleting the user bit is pretty straight forward, it's the repurcusions of doing it that I get a bit lost on. Say Johnny has made 50 pages and then he gets deleted. Who becomes the owner of his pages? Shouldn't his account remain for posterity purposes so you can look at the history and see that Johnny created the pages etc?

I'm thinking that IF the user has created any pages, made any changes or commented on any page then their account should not be deleted but locked with a note on their profile or possibly next to their name like "Johnny (deleted user)" ELSE if they have not created/modified any pages and have not commented on any then we can just straight delete the account properly as in remove all trace of it from the system.

I suppose we could even take it up to another level. Say Johnny registered an account 3 months ago and has gone on to make 50 pages of spam plus commented on 100 other users pages with spam comments. It would be nice to be able to delete the user AND all their pages/comments. This could be done with a single tickbox or a popup prompt "Do you want to delete all their pages and comments?". Another option might be to list all the pages/comments they've made with tickboxes next to them so users can deselect any they want to keep.

Requires alot of planning of the various scenarios.

administrator

2007-09-03 12:01

administrator   ~0000067

Last edited: 2008-08-23 14:46

will open an wiki page for admin panel planning

http://wackowiki.org/Dev/NewFeatures/AdminPanel

administrator

2011-02-16 11:42

administrator   ~0000787

Last edited: 2012-03-11 16:59

View 2 revisions

Basic functionality is already provided by the new user panel.

Admin Panel -> Users

Issue History

Date Modified Username Field Change
2007-08-29 03:15 Tann San New Issue
2007-08-31 01:16 administrator Note Added: 0000051
2007-08-31 09:26 Tann San Note Added: 0000052
2007-09-03 12:01 administrator Note Added: 0000067
2007-09-03 15:09 administrator Note Edited: 0000067
2007-10-09 19:26 administrator Legacy => NEW
2007-10-09 19:26 administrator Target Version => 7.0.x
2007-10-31 18:51 administrator Relationship added related to 0000117
2008-04-10 18:47 administrator Note Edited: 0000067
2008-08-23 14:45 administrator Note Edited: 0000067
2008-08-23 14:46 administrator Note Edited: 0000067
2008-08-23 14:46 administrator Status new => acknowledged
2008-09-21 15:46 Tann San Target Version 7.0.x => 5.4.0
2008-09-21 15:57 Tann San Relationship added child of 0000230
2010-03-08 10:09 administrator Category Action => action
2011-02-16 11:42 administrator Note Added: 0000787
2011-02-16 11:42 administrator Assigned To => administrator
2011-02-16 11:42 administrator Status acknowledged => assigned
2011-02-16 11:42 administrator Target Version 5.4.0 => 5.0.beta
2011-05-31 23:22 administrator Target Version 5.0.beta => 5.0.rc
2011-09-12 11:55 administrator Target Version 5.0.rc => 5.0.0
2012-03-11 16:58 administrator Severity minor => feature
2012-03-11 16:58 administrator Status assigned => resolved
2012-03-11 16:58 administrator Resolution open => fixed
2012-03-11 16:58 administrator Category action => administration
2012-03-11 16:58 administrator Fixed in Version => 5.0.0
2012-03-11 16:59 administrator Note Edited: 0000787 View Revisions